Public Member Functions | Data Fields

# NetworkStartServerWindow Struct Reference

Inheritance diagram for NetworkStartServerWindow:

## Public Member Functions
| NetworkStartServerWindow (const WindowDesc *desc)
virtual void | SetStringParameters (int widget) const
virtual void | UpdateWidgetSize (int widget, Dimension *size, const Dimension &padding, Dimension *fill, Dimension *resize)
virtual void | DrawWidget (const Rect &r, int widget) const
virtual void | OnPaint ()
virtual void | OnClick (Point pt, int widget, int click_count)
virtual void | OnDropdownSelect (int widget, int index)
virtual void | OnMouseLoop ()
virtual EventState | OnKeyPress (uint16 key, uint16 keycode)
virtual void | OnTimeout ()
virtual void | OnQueryTextFinished (char *str)
## Data Fields
byte | field
| Selected text-field.
byte | widget_id
| The widget that has the pop-up input menu.

## Detailed Description

Definition at line 1013 of file network_gui.cpp.

The documentation for this struct was generated from the following file:

- src/network/network_gui.cpp